Group Participants

The Group Participants service allows you to pass in a group ID and have the list of members associated with that group returned.

Service Name

group_participants

Required Parameters

NameType
idinteger

Optional Parameters

NameType
include_inactiveboolean
modified_sincedatetime
pageint
per_pageint

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=group_participants&id=23"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="group_participants" name="srv"/>
      <argument value="23" name="id"/>
    </parameters>
  </request>
  <response>
    <service>group_participants</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <groups count="1">
      <group id="23" name="**Ninja Turtle Club**">
        <participants count="10">
          <participant id="1">
            <name>Larry Cucumber</name>
            <email>[email protected]</email>
            <mobile_phone></mobile_phone>
            <carrier id="0"></carrier>
            <receive_email_from_church>true</receive_email_from_church>
            <receive_email_from_group>true</receive_email_from_group>
            <receive_sms_from_group>false</receive_sms_from_group>
            <status id="2">Member</status>
            <date_joined>2012-09-20 08:51:01</date_joined>
            <active>true</active>
            <creator id="1">Larry Cucumber</creator>
            <modifier id="1">Larry Cucumber</modifier>
            <created>2012-09-20 08:51:01</created>
            <modified>2012-09-25 15:46:15</modified>
            <first_name>Larry</first_name>
            <last_name>Cucumber</last_name>
            <middle_name></middle_name>
            <legal_first_name></legal_first_name>
            <salutation>Mr.</salutation>
            <suffix></suffix>
          </participant>
          …
          <participant id="61">
            <name>Bob Tom</name>
            <email></email>
            <mobile_phone></mobile_phone>
            <carrier id="0"></carrier>
            <receive_email_from_church>true</receive_email_from_church>
            <receive_email_from_group>true</receive_email_from_group>
            <receive_sms_from_group>false</receive_sms_from_group>
            <status id="2">Member</status>
            <date_joined>2013-04-08 06:51:45</date_joined>
            <active>true</active>
            <creator id="1">Larry Cucumber</creator>
            <modifier id="1">Larry Cucumber</modifier>
            <created>2013-04-08 06:51:45</created>
            <modified>2013-04-08 06:51:45</modified>
          </participant>
        </participants>
      </group>
    </groups>
  </response>
</ccb_api>